*:*****************************************************************************
*:
*:        Program: WAITBLNK.PRG
*:
*:         System: 
*:         Author: Richard A. Druckenmiller
*:      Copyright (c) 1993, Richard A. Druckenmiller
*:  Last modified: 01/11/93     23:37
*:
*:          Calls: SCHEME()
*:
*:      Documented 01/11/93                        FoxDoc  version 2.10e
*:*****************************************************************************
* WaitBlnk.PRG - Wait with blinking text
* What Program Does:  Displays a wait window with the blinking text.  The
*		text displayed is sent by parameter.
* Parameters:  tcWaitText - Text to display
*				   tlWait     - If .T. then force user to wait while text is
*                           displayed (default is .F.)
* How to Call:  =WAITBLNK("Reindexing Records...")
* WARNING:  If another WAIT WINDOW is executed while the blinking wait
*		window is still blinking, the new wait window will blink as well.
*     This may happen if the user does not press a key to clear the wait
*		window between wait window messages in your program;
   *		To prevent the second message from blinking place a WAIT CLEAR at
*		the point in the program where blinking text is no longer needed.
*	   i.e. =WAITBLNK('Reindexing Records...')
*				REINDEX
*				WAIT CLEAR
* 				WAIT WINDOW "All done with Reindexing. Press any key."
* ===========================================================================
parameters tcwaittext, tlwait
private all like l*

* Make wait window text blink.  Dialog color scheme, first pair is
* regular text
lccurrcolor = scheme(5,1)								&& Save current color scheme
set color of scheme 5 to ('*'+lccurrcolor) 		&& Set first color pair to
&& blink

if tlwait													&& WAIT if tlWait param. is
   && true
   wait window tcwaittext
else															&& Default is NOWAIT
   wait window nowait tcwaittext
endif (tlWait)

set color of scheme 5 to (lccurrcolor)				&& Reset color scheme

return
*: EOF: WAITBLNK.PRG
